﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MG.DatoveStruktury.Grafy.SmisenaReprezentace;

namespace ObycejnyGraf
{
  /// <summary>
  /// Deklarace třídy, která dědí eventové argumenty třídy 
  /// <see cref="System.ComponentModel.CancelEventArgs"/> a přidává si svoji datovou složku <see cref="Objekt"/>.
  /// </summary>
  public class ZmenaStrukturyGrafuCancelEventArgs : System.ComponentModel.CancelEventArgs
  {
    private IPrvekGrafu objekt;

    /// <summary>
    /// Objekt, který se má odstranit. GVrchol nebo GHrana.
    /// </summary>
    public IPrvekGrafu Objekt { get { return objekt; } }

    internal ZmenaStrukturyGrafuCancelEventArgs(IPrvekGrafu objekt)
    {
      this.objekt = objekt;
    }

  }
}
