﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObycejnyGraf
{
  /// <summary>
  /// Deklarace delegátu pro event ZmenaStrukturyGrafu, EventArgs je upraven pro potřebu přenášet 
  /// informace o typu změny struktury grafu a objektu, na kterém změna nastala.
  /// </summary>
  /// <param name="sender">Odesílatel delegátu.</param>
  /// <param name="e">Doplňkové informace.</param>
  public delegate void ZmenaStrukturyGrafuEventHandler(object sender, ZmenaStrukturyGrafuEventArgs e);
}
