﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ObycejnyGraf
{
  /// <summary>
  /// Komponenta pro vykreslování grafu.
  /// </summary>
  public interface IVlastnikGrafu
  {
    /// <summary>
    ///  Překreslí kreslící plátno.
    /// </summary>
    void Invalidate();
    /// <summary>
    /// Upraví vrchol pomocí dialogového okna.
    /// </summary>
    /// <param name="vrchol">Upravovaný vrchol.</param>
    void UpravVrchol(GVrchol vrchol);
    /// <summary>
    /// Upraví hranu pomocí dialogového okna.
    /// </summary>
    /// <param name="hrana">Upravovaná hrana.</param>
    void UpravHranu(GHrana hrana);
  }
}
