﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MG.DatoveStruktury.Tabulky
{
  /// <summary>
  /// Interface pro prvky tabulek.
  /// </summary>
  /// <typeparam name="TData">Typ dat tabulky.</typeparam>
  /// <typeparam name="TKlic">Typ klíče tabulky.</typeparam>
  public interface IPrvekTabulky<TData, TKlic>
  {
    /// <summary>
    /// Data prvku.
    /// </summary>
    TData Data { get; set; }

    /// <summary>
    /// Klíč prvku.
    /// </summary>
    TKlic Klic { get; set; }
  }
}
