﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace KresliciPlatno
{
  /// <summary>
  /// Komponenta sloužící jako kreslící plátno.
  /// </summary>
  public partial class KresliciPlatno : UserControl
  {
    /// <summary>
    /// Bezparametrický konstruktor.
    /// </summary>
    public KresliciPlatno()
    {
      InitializeComponent();
    }
    protected override bool IsInputKey(Keys keyData)
    {
      if (((keyData & Keys.Left) == Keys.Left) || ((keyData & Keys.Right) == Keys.Right) ||
            ((keyData & Keys.Up) == Keys.Up) || ((keyData & Keys.Down) == Keys.Down))
        return true;
      return base.IsInputKey(keyData);
    }
  }
}
