﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MG.OperacniVyzkum.TeorieGrafu
{
  /// <summary>
  /// Delegát pro extrahování číselné hodnoty ohodnocení hrany z datového typu pro ohodnocení.
  /// </summary>
  /// <typeparam name="T">Datový typ, který je ohodnocením hrany.</typeparam>
  /// <param name="ohodnoceni">Ohodnocení hrany.</param>
  /// <returns>Část ohodnocení typu <see cref="double"/>, která představuje číselné ohodnocení hrany.</returns>
  public delegate double ExtrahujHodnotuOhodnoceniCallback<T>(T ohodnoceni);
}
